program valor_expressao_y
	write (*,*) "Programa que calcula expressoes aritmeticas"
    write (*,*) 
    write (*,*) "Soma:             5 + 3      = ", 5 + 3
    write (*,*) "Subtracao:        5 - 3      = ", 5 - 3
    write (*,*) "Multiplicacao:    5 * 3      = ", 5 * 3
    write (*,*) "Divisao Inteira:  5 / 3      = ", 5 / 3
    write (*,*) "Divisao Exata:    5 / 3.0    = ", 5 / 3.0
    write (*,*) "Resto da Divisao: mod(5,3)   = ", mod(5, 3)
    write (*,*) "Exponenciacao:    5 ** 3     = ", 5 ** 3
    write (*,*) "Raiz quadrada:    sqrt(25.0) = ", sqrt(25.0)
    write (*,*)
    write (*,*)
    write (*,*) "Lembrar que a prioridade dos operadores aritmeticos eh: (), **, * e /, + e _"
    write (*,*) "Ex.1 Expressao:    10 + 3 ** (2 + 1)  = ", 10 + 3 ** (2 + 1)
    write (*,*) "Ex.2 Expressao:    2 * sqrt(20 + 5.0) = ", 2 * sqrt(20 + 5.0)
    stop 
end program valor_expressao_y                        